Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 51)
@@ -201,7 +201,7 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
@@ -211,8 +211,8 @@
                 strcmd += string.Format(",'{0}'", work.Delivery);                       // 納入業者
                 strcmd += string.Format(",'{0}'", work.QualityControl);                 // 品質管理事項
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -266,7 +266,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
@@ -277,7 +277,7 @@
                 strcmd += string.Format(",Delivery = '{0}'", data.Delivery);                    // 納入業者
                 strcmd += string.Format(",QualityControl = '{0}'", data.QualityControl);        // 品質管理事項
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -371,7 +371,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 51)
@@ -186,7 +186,7 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
@@ -194,8 +194,8 @@
                 strcmd += string.Format(",'{0}'", work.Attendee);                       // 出席者
                 strcmd += string.Format(",'{0}'", work.ContentsText);                       // 内容
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -249,7 +249,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
@@ -257,7 +257,7 @@
                 strcmd += string.Format(",Attendee = '{0}'", data.Attendee);                    // 出席者
                 strcmd += string.Format(",ContentsText = '{0}'", data.ContentsText);                    // 内容
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -348,7 +348,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 51)
@@ -206,7 +206,7 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
@@ -214,13 +214,13 @@
                 strcmd += string.Format(",'{0}'", work.Performance);                    // 性能
                 strcmd += string.Format(",'{0}'", work.Owner);                          // 所有会社
                 strcmd += string.Format(",'{0}'", work.Driver);                         // 当日運転者
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                             , work.StartWorkingTime.ToString());        // 作業時間開始
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                             , work.EndWorkingTime.ToString());          // 作業時間終了
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -274,7 +274,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
@@ -283,12 +283,12 @@
                 strcmd += string.Format(",TodayWork = '{0}'", data.Performance);                 // 性能
                 strcmd += string.Format(",TodayWork = '{0}'", data.Owner);                       // 所有会社
                 strcmd += string.Format(",TodayWork = '{0}'", data.Driver);                      // 当日運転者
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.StartWorkingTime.ToString());                    // 作業時間開始
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.EndWorkingTime.ToString());                      // 作業時間終了
                 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -383,7 +383,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 51)
@@ -0,0 +1,264 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// データアクセスクラス
+    /// </summary>
+    public class IODeadLineMaster : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            LabourKind = 0,
+            DeadLine,
+            PayDay,
+            Note,
+            DeleteFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IODeadLineMaster()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<DeadLineMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += "  LabourKind, DeadLine, PayDay, Note, DeleteFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM DeadLineMaster";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    DeadLineMaster work = new DeadLineMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 新規登録
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(List<DeadLineMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (DeadLineMaster work in data)
+                {
+                    strcmd = "INSERT INTO DeadLineMaster";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.LabourKind.ToString());
+                    strcmd += string.Format(", {0}", work.DeadLine.ToString());
+                    strcmd += string.Format(", {0}", work.PayDay.ToString());
+                    strcmd += string.Format(", '{0}'", work.Note.ToString());
+                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新登録
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateAction(string AddSQLString, DeadLineMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE DeadLineMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" LabourKind = {0}", data.LabourKind.ToString());
+                strcmd += string.Format(",DeadLine = {0}", data.DeadLine.ToString());
+                strcmd += string.Format(",PayDay = {0}", data.PayDay.ToString());
+                strcmd += string.Format(",Note = '{0}'", data.Note);
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+ 
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = "Update DeadLineMaster Set DeleteFlg = 1";
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 構造体設定
+        /// </summary>
+        /// <param name="objwrk"></param>
+        /// <param name="wrk"></param>
+        public void Reader2Struct(object[] objwrk, ref DeadLineMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.LabourKind = int.Parse(objwrk[(int)NameColumn.LabourKind].ToString());
+                wrk.DeadLine = int.Parse(objwrk[(int)NameColumn.DeadLine].ToString());
+                wrk.PayDay = int.Parse(objwrk[(int)NameColumn.PayDay].ToString());
+                wrk.Note = objwrk[(int)NameColumn.Note].ToString();
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = objwrk[(int)NameColumn.EntryDate].ToString()=="" ? DateTime.Parse("2001/01/01") : DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = objwrk[(int)NameColumn.UpdateDate].ToString()=="" ? DateTime.Parse("2001/01/01") : DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int LabourKind)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where LabourKind = {0}", LabourKind);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        #endregion
+
+
+    }
+}
